ModuleMapping (CMDB Model API)
Keywords: com.collation.platform.model.provision.definition.ModuleMapping interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.provision.definition
Interface ModuleMapping

All Superinterfaces:
  ModelObject, java.io.Serializable

    public interface ModuleMapping

extends ModelObject

Naming Rules:
  0="moduleDefinitionName,moduleDefinitionVersion"
Persistable:
  true
Table Name:
  MODMAP
Display Name:
  moduleDefinitionName,moduleDefinitionVersion

Method Summary
`ContainerInstance[]` | `getContainerInstances()`
`HostInstance[]` | `getHostInstances()`
`java.lang.String` | `getModuleDefinitionName()`
`java.lang.String` | `getModuleDefinitionVersion()`
`boolean` | `hasContainerInstances()`
`boolean` | `hasHostInstances()`
`boolean` | `hasModuleDefinitionName()`
`boolean` | `hasModuleDefinitionVersion()`
`void` | `setContainerInstances(ContainerInstance[] s)`
`void` | `setHostInstances(HostInstance[] s)`
`void` | `setModuleDefinitionName(java.lang.String s)`
`void` | `setModuleDefinitionVersion(java.lang.String s)`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### setModuleDefinitionName

    void setModuleDefinitionName(java.lang.String s)

### getModuleDefinitionName

    java.lang.String getModuleDefinitionName()
                                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasModuleDefinitionName

    boolean hasModuleDefinitionName()

### setModuleDefinitionVersion

    void setModuleDefinitionVersion(java.lang.String s)

### getModuleDefinitionVersion

    java.lang.String getModuleDefinitionVersion()
                                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasModuleDefinitionVersion

    boolean hasModuleDefinitionVersion()

### setHostInstances

    void setHostInstances(HostInstance[] s)

### getHostInstances

    HostInstance[] getHostInstances()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasHostInstances

    boolean hasHostInstances()

### setContainerInstances

    void setContainerInstances(ContainerInstance[] s)

### getContainerInstances

    ContainerInstance[] getContainerInstances()
                                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasContainerInstances

    boolean hasContainerInstances()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD